#ifndef __STUFF__
#define __STUFF__

typedef unsigned char   byte;
typedef unsigned short  word;
typedef unsigned int    dword;
typedef int             boolean;
typedef byte*           cache;

#define false   0
#define true    1

#define TABSPACING  4

#define SPRITECOUNT     263
#define STATECOUNT      1518
#define MOBJCOUNT       344

typedef struct
{
    int     sprite;
    int     frame;
    int     tics;
    int     action;
    int     nextstate;
} state_t;

typedef struct
{
    int     doomednum;
    int     spawnstate;
    int     spawnhealth;
    int     seestate;
    int     seesound;
    int     reactiontime;
    int     attacksound;
    int     painstate;
    int     painchance;
    int     painsound;
    int     meleestate;
    int     missilestate;
    int     crashstate;
    int     deathstate;
    int     xdeathstate;
    int     deathsound;
    int     speed;
    int     radius;
    int     height;
    int     mass;
    int     damage;
    int     activesound;
    int     flags;
    /*char*   name;*/
    int     namepointer;
} mobjinfo_t;

typedef struct
{
    char sprname[4];
    char junk[4];
} sprname_t;

typedef enum
{
    MF_SPECIAL       = 1,
    MF_SOLID         = 2,
    MF_SHOOTABLE     = 4,
    MF_NOSECTOR      = 8,
    MF_NOBLOCKMAP    = 0x10,
    MF_STAND         = 0x20,
    MF_JUSTHIT       = 0x40,
    MF_JUSTATTACKED  = 0x80,
    MF_SPAWNCEILING  = 0x100,
    MF_NOGRAVITY     = 0x200,
    MF_DROPOFF       = 0x400,
    MF_GIVEQUEST     = 0x800,
    MF_NOCLIP        = 0x1000,
    MF_FEETCLIPPED   = 0x2000,
    MF_FLOAT         = 0x4000,
    MF_INCOMBAT      = 0x8000,
    MF_MISSILE       = 0x10000,
    MF_DROPPED       = 0x20000,
    MF_SHADOW        = 0x40000,
    MF_NOBLOOD       = 0x80000,
    MF_CORPSE        = 0x100000,
    MF_INFLOAT       = 0x200000,
    MF_COUNTKILL     = 0x400000,
    MF_AMBUSH        = 0x800000,
    MF_SKULLFLY      = 0x1000000,
    MF_NODMATCH      = 0x2000000,
    MF_ALLY          = 0x4000000,
    MF_MOREVISIBLE   = 0x8000000,
    MF_COLORSWAP1    = 0x10000000,
    MF_COLORSWAP2    = 0x20000000,
    MF_COLORSWAP3    = 0x40000000,
    MF_SPECTRAL      = 0x80000000

} mobjflag_t;

static char* mobjflagnames[] =
{
    "MF_SPECIAL",
    "MF_SOLID",
    "MF_SHOOTABLE",
    "MF_NOSECTOR",
    "MF_NOBLOCKMAP",
    "MF_STAND",
    "MF_JUSTHIT",
    "MF_JUSTATTACKED",
    "MF_SPAWNCEILING",
    "MF_NOGRAVITY",
    "MF_DROPOFF",
    "MF_GIVEQUEST",
    "MF_NOCLIP",
    "MF_FEETCLIPPED",
    "MF_FLOAT",
    "MF_INCOMBAT",
    "MF_MISSILE",
    "MF_DROPPED",
    "MF_SHADOW",
    "MF_NOBLOOD",
    "MF_CORPSE",
    "MF_INFLOAT",
    "MF_COUNTKILL",
    "MF_AMBUSH",
    "MF_SKULLFLY",
    "MF_NODMATCH",
    "MF_ALLY",
    "MF_MOREVISIBLE",
    "MF_COLORSWAP1",
    "MF_COLORSWAP2",
    "MF_COLORSWAP3",
    "MF_SPECTRAL",
};


static char* mobjinfonames[MOBJCOUNT][2] =
{
    { "MT_FIELDGUARD", "FGRD" },
    { "MT_PLAYER", "PLAY" },//1
    { "MT_SHOPKEEPER_W", "SHOPW" },//2
    { "MT_SHOPKEEPER_B", "SHOPB" },//3
    { "MT_SHOPKEEPER_A", "SHOPA" },//4
    { "MT_SHOPKEEPER_M", "SHOPM" },//5
    { "MT_PEASANT2_A", "PEAS2A" },//6
    { "MT_PEASANT2_B", "PEAS2B" },//7
    { "MT_PEASANT2_C", "PEAS2C" },//8
    { "MT_PEASANT5_A", "PEAS5A" },//9
    { "MT_PEASANT5_B", "PEAS5B" },//10
    { "MT_PEASANT5_C", "PEAS5C" },//11
    { "MT_PEASANT4_A", "PEAS4A" },//12
    { "MT_PEASANT4_B", "PEAS4B" },//13
    { "MT_PEASANT4_C", "" },//14
    { "MT_PEASANT6_A", "" },//15
    { "MT_PEASANT6_B", "" },//16
    { "MT_PEASANT6_C", "" },//17
    { "MT_PEASANT3_A", "" },//18
    { "MT_PEASANT3_B", "" },//19
    { "MT_PEASANT3_C", "" },//20
    { "MT_PEASANT8_A", "" },//21
    { "MT_PEASANT8_B", "" },//22
    { "MT_PEASANT8_C", "" },//23
    { "MT_PEASANT7_A", "" },//24
    { "MT_PEASANT7_B", "" },//25
    { "MT_PEASANT7_C", "" },//26
    { "MT_PEASANT1", "" },//27
    { "MT_ZOMBIE", "" },//28
    { "MT_BECOMING", "" },//29
    { "MT_ZOMBIESPAWNER", "" },//30
    { "MT_HUGE_TANK_1", "" },//31
    { "MT_HUGE_TANK_2", "" },//32
    { "MT_HUGE_TANK_3", "" },//33
    { "MT_TANK_4", "" },//34
    { "MT_TANK_5", "" },//35
    { "MT_TANK_6", "" },//36
    { "MT_KNEELING_GUY", "" },//37
    { "MT_BEGGAR1", "" },//38
    { "MT_BEGGAR2", "" },//39
    { "MT_BEGGAR3", "" },//40
    { "MT_BEGGAR4", "" },//41
    { "MT_BEGGAR5", "" },//42
    { "MT_REBEL1", "" },//43
    { "MT_REBEL2", "" },//44
    { "MT_REBEL3", "" },//45
    { "MT_REBEL4", "" },//46
    { "MT_REBEL5", "" },//47
    { "MT_REBEL6", "" },//48
    { "MT_RLEADER", "" },//49
    { "MT_RLEADER2", "" },//50
    { "MT_MISSILESMOKE", "" },//51
    { "MT_REAVER", "" },//52
    { "MT_GUARD1", "" },//53
    { "MT_GUARD2", "" },//54
    { "MT_GUARD3", "" },//55
    { "MT_GUARD4", "" },//56
    { "MT_GUARD5", "" },//57
    { "MT_GUARD6", "" },//58
    { "MT_GUARD7", "" },//59
    { "MT_GUARD8", "" },//60
    { "MT_SHADOWGUARD", "" },//61
    { "MT_PGUARD", "" },//62
    { "MT_CRUSADER", "" },//63
    { "MT_BISHOP", "" },//64
    { "MT_ORACLE", "" },//65
    { "MT_PRIEST", "" },//66
    { "MT_SPECTURE_A", "" },//67
    { "MT_NODE", "" },//68
    { "MT_SPECTUREHEAD", "" },//69
    { "MT_SPECTURE_B", "" },//70
    { "MT_SPECTURE_C", "" },//71
    { "MT_SPECTURE_D", "" },//72
    { "MT_SPECTURE_E", "" },//73
    { "MT_ENTITY", "" },//74
    { "MT_SUBENTITY", "" },//75
    { "MT_NEST", "" },//76
    { "MT_POD", "" },//77
    { "MT_SIGIL_B_SHOT", "" },
    { "MT_SIGIL_SB_SHOT", "" },
    { "MT_SIGIL_C_SHOT", "" },
    { "MT_SIGIL_SC_SHOT", "" },
    { "MT_SIGIL_E_OFFSHOOT", "" },
    { "MT_SIGIL_TRAIL", "" },
    { "MT_SIGIL_E_SHOT", "" },
    { "MT_SIGIL_SE_SHOT", "" },
    { "MT_SIGIL_A_ZAP_LEFT", "" },
    { "MT_SIGIL_A_ZAP_RIGHT", "" },
    { "MT_SIGIL_A_GROUND", "" },
    { "MT_SIGIL_D_SHOT", "" },
    { "MT_SIGIL_SD_SHOT", "" },
    { "MT_SENTINEL", "" },
    { "MT_STALKER", "" },
    { "MT_INQUISITOR", "" },
    { "MT_INQARM", "" },
    { "MT_PROGRAMMER", "" },
    { "MT_PROGRAMMERBASE", "" },
    { "MT_HOOKSHOT", "" },
    { "MT_CHAINSHOT", "" },
    { "MT_MINIMISSLE", "" },
    { "MT_C_MISSILE", "" },
    { "MT_SEEKMISSILE", "" },
    { "MT_ELECARROW", "" },
    { "MT_POISARROW", "" },
    { "MT_R_LASER", "" },
    { "MT_L_LASER", "" },
    { "MT_HEGRENADE", "" },
    { "MT_PGRENADE", "" },
    { "MT_INQGRENADE", "" },
    { "MT_PFLAME", "" },
    { "MT_TORPEDO", "" },
    { "MT_TORPEDOSPREAD", "" },
    { "MT_SFIREBALL", "" },
    { "MT_C_FLAME", "" },
    { "MT_STRIFEPUFF3", "" },
    { "MT_STRIFEPUFF", "" },
    { "MT_SPARKPUFF", "" },
    { "MT_BLOOD_DEATH", "" },
    { "MT_TFOG", "" },
    { "MT_IFOG", "" },
    { "MT_TELEPORTMAN", "" },
    { "MT_MISC_01", "" },
    { "MT_TURRET", "" },
    { "MT_GATE", "" },
    { "MT_COMPUTER", "" },
    { "MT_INV_MED1", "" },
    { "MT_INV_MED2", "" },
    { "MT_INV_MED3", "" },
    { "MT_DEGNINORE", "" },
    { "MT_INV_ARMOR2", "" },
    { "MT_INV_ARMOR1", "" },
    { "MT_MISC_22", "" },	//WATER_BOTTLE
    { "MT_MISC_11", "" },	//MUG
    { "MT_KEY_BASE", "" },
    { "MT_GOVSKEY", "" },
    { "MT_KEY_TRAVEL", "" },
    { "MT_KEY_ID_BLUE", "" },
    { "MT_PRISONKEY", "" },
    { "MT_KEY_HAND", "" },
    { "MT_POWER1KEY", "" },
    { "MT_POWER2KEY", "" },
    { "MT_POWER3KEY", "" },
    { "MT_KEY_GOLD", "" },
    { "MT_KEY_ID_GOLD", "" },
    { "MT_KEY_SILVER", "" },
    { "MT_KEY_ORACLE", "" },
    { "MT_MILITARYID", "" },
    { "MT_KEY_ORDER", "" },
    { "MT_KEY_WAREHOUSE", "" },
    { "MT_KEY_BRASS", "" },
    { "MT_KEY_RED_CRYSTAL", "" },
    { "MT_KEY_BLUE_CRYSTAL", "" },
    { "MT_KEY_CHAPEL", "" },
    { "MT_CATACOMBKEY", "" },
    { "MT_SECURITYKEY", "" },
    { "MT_KEY_CORE", "" },
    { "MT_KEY_MAULER", "" },
    { "MT_KEY_FACTORY", "" },
    { "MT_KEY_MINE", "" },
    { "MT_NEWKEY5", "" },
    { "MT_INV_SHADOWARMOR", "" },
    { "MT_INV_SUIT", "" },
    { "MT_QUEST_UNIFORM", "" },
    { "MT_QUEST_GUARD_UNIFORM", "" },
    { "MT_INV_SUPERMAP", "" },
    { "MT_INV_RADAR", "" },
    { "MT_BEACON", "" },
    { "MT_INV_TARGETER", "" },
    { "MT_MONY_1", "" },
    { "MT_MONY_10", "" },
    { "MT_MONY_25", "" },
    { "MT_MONY_50", "" },
    { "MT_MONY_300", "" },
    { "MT_TOKEN_RING", "" },
    { "MT_INV_CHALICE", "" },
    { "MT_TOKEN_EAR", "" },
    { "MT_INV_COMMUNICATOR", "" },
    { "MT_AGREN", "" },
    { "MT_APGREN", "" },
    { "MT_ACLIP", "" },
    { "MT_AAMMOBOX", "" },
    { "MT_AMINI", "" },
    { "MT_AMINIBOX", "" },
    { "MT_ACELL", "" },
    { "MT_APCELL", "" },
    { "MT_APAROW", "" },
    { "MT_AAROW", "" },
    { "MT_INV_SATCHEL", "" },
    { "MT_PULSE", "" },
    { "MT_RIFLESTAND", "" },
    { "MT_FLAMETHROWER", "" },
    { "MT_TOKEN_FLAME_THROWER_PARTS", "" },
    { "MT_MINIMISSILE", "" },
    { "MT_BLASTER", "" },
    { "MT_CROSSBOW", "" },
    { "MT_GRENADELAUNCHER", "" },
    { "MT_SIGIL_A", "" },
    { "MT_SIGIL_B", "" },
    { "MT_SIGIL_C", "" },
    { "MT_SIGIL_D", "" },
    { "MT_SIGIL_E", "" },
    { "MT_POWER_CRYSTAL", "" },
    { "MT_RAT", "" },
    { "MT_MISC_05", "" },	//WBARREL
    { "MT_MISC_06", "" },	//EBARREL
    { "MT_MISC_15", "" },	//PRACTICE_TARGET
    { "MT_LIGHT14", "" },	//SILVER_LIGHT
    { "MT_LIGHT13", "" },	//BRASS_LIGHT
    { "MT_LIGHT12", "" },	//GOLD_LIGHT
    { "MT_LIGHT18", "" },	//GLOBE_LIGHT
    { "MT_PILLAR2", "" },	//TECH_PILLIAR
    { "MT_PILLAR3", "" },	//AZTEC_PILLAR
    { "MT_PILLAR4", "" },	//AZTEC_DAMAGED
    { "MT_PILLAR5", "" },	//AZTEC_RUINED
    { "MT_PILLAR6", "" },	//HUGE_TECH_PILLAR
    { "MT_PILLAR7", "" },	//ALIEN_PILLAR
    { "MT_CAVE2", "" },	//STALACTITE
    { "MT_CAVE3", "" },	//SMALL_STALACTITE
    { "MT_CAVE4", "" },	//STALACMITE
    { "MT_CAVE6", "" },	//PILLAR_TOP
    { "MT_CAVE7", "" },	//PILLAR_BOTTOM
    { "MT_CAVE5", "" },	//STALACMITE_SMALL
    { "MT_LIGHT2", "" },	//CANDLE
    { "MT_LIGHT3", "" }, //CANDELABRA
    { "MT_MISC_03", "" },	//FLOOR_WATER_DRIP
    { "MT_MISC_13", "" },	//WATERFALL_SPLASH
    { "MT_MISC_02", "" },	//CEILING_WATER_DRIP
    { "MT_MISC_07", "" },	//FOUNTAIN
    { "MT_BIO2", "" },		//HEARTS_IN_TANK
    { "MT_TELEPORTSTAND", "" },
    { "MT_DEADTHING1", "" },
    { "MT_DEADTHING2", "" },
    { "MT_DEADTHING3", "" },
    { "MT_DEADTHING4", "" },
    { "MT_DEADTHING5", "" },
    { "MT_DEADTHING6", "" },
    { "MT_BIO1", "" },		//SACRIFICED_GUY
    { "MT_GIBS", "" },		//NEW THING THING#ID is 89
    { "MT_MISC_04", "" },	//BURNING_BARREL
    { "MT_LIGHT11", "" },	//BOWL
    { "MT_LIGHT10", "" },	//BRAZIER
    { "MT_LIGHT9", "" },	//SMALL_TORCH
    { "MT_LIGHT8", "" },	//UNLIT_TORCH
    { "MT_MISC_14", "" },	//CHAIN_CEILING
    { "MT_LIGHT1", "" },	//CAGE_LIGHT
    { "MT_PILLAR8", "" },	//STATUE
    { "MT_PILLAR9", "" },	//STATUE_DEAD
    { "MT_LIGHT15", "" },	//MEDIUM_TORCH
    { "MT_LIGHT4", "" },	//OUT_LAMP
    { "MT_LIGHT5", "" }, //POLE_LIGHT
    { "MT_ROCK1", "" },
    { "MT_ROCK2", "" },
    { "MT_ROCK3", "" },
    { "MT_ROCK4", "" },
    { "MT_TREE7", "" },	//STICK
    { "MT_RUBBLE1", "" },
    { "MT_RUBBLE2", "" },
    { "MT_RUBBLE3", "" },
    { "MT_RUBBLE4", "" },
    { "MT_RUBBLE5", "" },
    { "MT_RUBBLE6", "" },
    { "MT_RUBBLE7", "" },
    { "MT_RUBBLE8", "" },
    { "MT_MISC_08", "" },	//CRAB
    { "MT_LIGHT6", "" },	//LARGE_TORCH
    { "MT_LIGHT7", "" }, //HUGE_TORCH
    { "MT_TREE2", "" },
    { "MT_TREE3", "" },
    { "MT_TREE4", "" },
    { "MT_TREE1", "" },
    { "MT_TREE6", "" },
    { "MT_TREE5", "" },
    { "MT_CAVE1", "" },
    { "MT_PILLAR1", "" },
    { "MT_MISC_10", "" },	//POT
    { "MT_MISC_09", "" },	//PITCHER
    { "MT_MISC_17", "" },	//STOOL
    { "MT_MISC_18", "" },	//METAL_POT
    { "MT_MISC_19", "" },	//TUB
    { "MT_MISC_20", "" },	//ANVIL
    { "MT_LIGHT16", "" },	//SILVER_TECH_LAMP
    { "MT_LIGHT17", "" },	//BRASS_TECH_LAMP
    { "MT_MISC_21", "" },	//TRAY
    { "MT_MISC_12", "" },	//FILLER
    { "MT_MISC_26", "" },	//BANNER
    { "MT_MISC_23", "" },	//BOOTS
    { "MT_MISC_24", "" },	//HELMET
    { "MT_MISC_25", "" },	//SHIRT
    { "MT_COUPLING", "" },
    { "MT_COUPLING_BROKEN", "" },
    { "MT_PILLAR10", "" },	//BUBBLEPILLAR
    { "MT_PILLAR11", "" },	//BUBBLEPILLAR_FLOOR
    { "MT_PILLAR12", "" },	//BUBBLEPILLAR_CEILING
    { "MT_PILLAR13", "" },	//ASP_CLIMBER
    { "MT_LIGHT19", "" },	//SPIDER_LIGHT
    { "MT_MEAT", "" },
    { "MT_JUNK", "" },
    { "MT_BURNDROP", "" },
    { "MT_TOKEN_AMMO", "" },
    { "MT_TOKEN_HEALTH", "" },
    { "MT_TOKEN", "" },
    { "MT_TOKEN_ALARM", "" },
    { "MT_TOKEN_DOOR1", "" },
    { "MT_TOKEN_SHOPCLOSE", "" },
    { "MT_TOKEN_PRISON_PASS", "" },
    { "MT_TOKEN_DOOR3", "" },
    { "MT_TOKEN_STAMINA", "" },
    { "MT_TOKEN_NEW_ACCURACY", "" },
    { "MT_TOKEN_REPORT", "" },
    { "MT_TOKEN_TOUGHNESS", "" },
    { "MT_TOKEN_ACCURACY", "" },
    { "MT_TOKEN_ORACLE_PASS", "" },
    { "MT_TOKEN_QUEST1", "" },
    { "MT_TOKEN_QUEST2", "" },
    { "MT_TOKEN_QUEST3", "" },
    { "MT_TOKEN_QUEST4", "" },
    { "MT_TOKEN_QUEST5", "" },
    { "MT_TOKEN_QUEST6", "" },
    { "MT_TOKEN_QUEST7", "" },
    { "MT_TOKEN_QUEST8", "" },
    { "MT_TOKEN_QUEST9", "" },
    { "MT_TOKEN_QUEST10", "" },
    { "MT_TOKEN_QUEST11", "" },
    { "MT_TOKEN_QUEST12", "" },
    { "MT_TOKEN_QUEST13", "" },
    { "MT_TOKEN_CRYSTAL", "" },
    { "MT_TOKEN_QUEST15", "" },
    { "MT_GATEQUEST", "" },
    { "MT_TOKEN_QUEST17", "" },
    { "MT_TOKEN_QUEST18", "" },
    { "MT_TOKEN_QUEST19", "" },
    { "MT_TOKEN_QUEST20", "" },
    { "MT_TOKEN_BISHOP", "" },
    { "MT_TOKEN_QUEST22", "" },
    { "MT_TOKEN_ORACLE", "" },
    { "MT_TOKEN_MACIL", "" },
    { "MT_TOKEN_QUEST25", "" },
    { "MT_TOKEN_LOREMASTER", "" },
    { "MT_SECRQUEST", "" },
    { "MT_TOKEN_QUEST28", "" },
    { "MT_TOKEN_QUEST29", "" },
    { "MT_TOKEN_QUEST30", "" },
    { "MT_TOKEN_QUEST31", "" },
    { "MT_SLIDESHOW", "" }
};

static char* classnames[] =
{
    "Weapon Smith",
    "Bar Keep",
    "Armorer",
    "medic",
    "beggar",
    "beggar",
    "beggar",
    "beggar",
    "beggar",
    "rebel",
    "rebel",
    "rebel",
    "rebel",
    "rebel",
    "rebel",
    "macil",
    "macil",
    "acolyte",
    "acolyte",
    "acolyte",
    "acolyte",
    "acolyte",
    "acolyte",
    "acolyte",
    "acolyte",
    "acolyte",
    "templar",
    "oracle",
    "priest",
    "medpatch",
    "medical kit",
    "surgery kit",
    "degnin ore",
    "metal armor",
    "leather armor",
    "base key",
    "govs key",	//not found in editors
    "passcard",
    "id badge",
    "prison key",	//
    "severed hand",
    "power1 key",	//
    "power2 key",	//
    "power3 key",	//
    "gold key",
    "id card",
    "silver key",
    "oracle key",
    "military id",	//
    "order key",
    "warehouse key",
    "brass key",
    "red crystal key",
    "blue crystal key",
    "chapel key",
    "catacomb key",	//
    "security key",	//
    "core key",
    "mauler key",
    "factory key",
    "mine key",
    "newkey 5",	//
    "shadow armor",
    "environmental suit",
    "guard uniform",
    "officer's uniform",
    "map",
    "scanner",
    "teleporter beacon",
    "targeter",
    "coin",
    "10gold",
    "25gold",
    "50gold",
    "300gold",
    "ring",
    "offeringchalice",
    "ear",
    "communitcator",
    "he-grenade rounds",
    "phoshorus-grenade rounds",
    "clip of bullets",
    "box of bullets",
    "mini missiles",
    "crate of missiles",
    "energy pod",
    "energy pack",
    "poison bolts",
    "electric bolts",
    "ammo satchel",
    "assault gun",
    "assault gun",
    "flame thrower",
    "flame thrower parts",
    "mini missile launcher",
    "mauler",
    "crossbow",
    "grenade launcher",
    "sigil",
    "sigil",
    "sigil",
    "sigil",
    "sigil",
    "rat buddy",
    "broken power coupling",
    "health",
    "ammo",
    "info",
    "alarm",
    "prison pass",
    "report",
    "toughness",
    "accuracy",
    "oracle pass",
    "quest4",
    "quest5",
    "quest6",
    "You've Blown Up the Crystal!",
    "You've Blown Up the Gates!",
    "You've killed the Bishop!",
    "You've killed the Oracle!",
    "You've killed Macil!",
    "You've killed the LoreMaster!",
    "You've blowned Up the Computer!"
};

static char* actionnames[] =
{
    "A_Look",
    "A_RandomWalk",
    "A_FriendLook",
    "A_Listen",
    "A_Chase",
    "A_FaceTarget",
    "A_PeasantPunch",
    "A_ReavShoot",
    "A_BulletAttack",
    "A_CheckTargetVisible",
    "A_SentinelAttack",
    "A_StalkerThink",
    "A_StalkerSetLook",
    "A_StalkerDrop",
    "A_StalkerScratch",
    "A_FloatWeave",
    "A_ReavAttack",
    "A_TemplarMauler",
    "A_CrusaderAttack",
    "A_CrusaderLeft",
    "A_CrusaderRight",
    "A_CheckTargetVisible2",
    "A_InqFlyCheck",
    "A_InqGrenade",
    "A_InqTakeOff",
    "A_InqFly",
    "A_FireSigilWeapon",
    "A_ProgrammerAttack",
    "A_Sigil_A_Action",
    "A_SpectreEAttack",
    "A_SpectreCAttack",
    "A_AlertSpectreC",
    "A_Sigil_E_Action",
    "A_SigilTrail",
    "A_SpectreDAttack",
    "A_FireSigilEOffshoot",
    "A_ShadowOff",
    "A_ModifyVisibility",
    "A_ShadowOn",
    "A_SetTLOptions",
    "A_BossMeleeAtk",
    "A_BishopAttack",
    "A_FireHookShot",
    "A_FireChainShot",
    "A_MissileSmoke",
    "A_SpawnSparkPuff",
    "A_Tracer",
    "A_ProgrammerMelee",
    "A_Scream",
    "A_XScream",
    "A_Pain",
    "A_PeasantCrash",
    "A_Fall",
    "A_HideZombie",
    "A_MerchantPain",
    "A_ProgrammerDie",
    "A_InqTossArm",
    "A_SpawnSpectreA",
    "A_SpawnSpectreB",
    "A_SpawnSpectreC",
    "A_SpawnSpectreD",
    "A_SpawnSpectreE",
    "A_SpawnEntity",
    "A_EntityDeath",
    "A_SpawnZombie",
    "A_ZombieInSpecialSector",
    "A_CrystalExplode",
    "A_DeathMsg",
    "A_ExtraLightOff",
    "A_DeathExplode4",
    "A_DeathExplode5",
    "A_DeathExplode1",
    "A_DeathExplode2",
    "A_DeathExplode3",
    "A_RaiseAlarm",
    "A_MissileTick",
    "A_SpawnGrenadeFire",
    "A_NodeChunk",
    "A_HeadChunk",
    "A_BurnSpread",
    "A_AcolyteSpecial",
    "A_BossDeath",
    "A_InqChase",
    "A_StalkerChase",
    "A_PlayerScream",
    "A_TeleportBeacon",
    "A_BodyParts",
    "A_ClaxonBlare",
    "A_ActiveSound",
    "A_ClearSoundTarget",
    "A_DropBurnFlesh",
    "A_FlameDeath",
    "A_ClearForceField",
    "A_WeaponReady",
    "A_ReFire",
    "A_CheckReload",
    "A_Lower",
    "A_Raise",
    "A_GunFlash",
    "A_Punch",
    "A_FireFlameThrower",
    "A_FireMissile",
    "A_FireMauler2",
    "A_FireGrenade",
    "A_FireElectricBolt",
    "A_FirePoisonBolt",
    "A_FireRifle",
    "A_FireMauler1",
    "A_SigilSound",
    "A_FireSigil",
    "A_GunFlashThinker",
    "A_Light0",
    "A_Light1",
    "A_Light2",
    "A_SigilShock",
    "A_TorpedoExplode",
    "A_MaulerSound",
    NULL
};

static char* sfxnames[] =
{
    "sfx_None",
    "sfx_swish",
    "sfx_meatht",
    "sfx_mtalht",
    "sfx_wpnup",
    "sfx_rifle",
    "sfx_mislht",
    "sfx_barexp",
    "sfx_flburn",
    "sfx_flidl",
    "sfx_agrsee",
    "sfx_plpain",
    "sfx_pcrush",
    "sfx_pespna",
    "sfx_pespnb",
    "sfx_pespnc",
    "sfx_pespnd",
    "sfx_agrdpn",
    "sfx_pldeth",
    "sfx_plxdth",
    "sfx_slop",
    "sfx_rebdth",
    "sfx_agrdth",
    "sfx_lgfire",
    "sfx_smfire",
    "sfx_alarm",
    "sfx_drlmto",
    "sfx_drlmtc",
    "sfx_drsmto",
    "sfx_drsmtc",
    "sfx_drlwud",
    "sfx_drswud",
    "sfx_drston",
    "sfx_bdopn",
    "sfx_bdcls",
    "sfx_swtchn",
    "sfx_swbolt",
    "sfx_swscan",
    "sfx_yeah",
    "sfx_mask",
    "sfx_pstart",
    "sfx_pstop",
    "sfx_itemup",
    "sfx_bglass",
    "sfx_wriver",
    "sfx_wfall",
    "sfx_wdrip",
    "sfx_wsplsh",
    "sfx_rebact",
    "sfx_agrac1",
    "sfx_agrac2",
    "sfx_agrac3",
    "sfx_agrac4",
    "sfx_ambppl",
    "sfx_ambbar",
    "sfx_telept",
    "sfx_ratact",
    "sfx_itmbk",
    "sfx_xbow",
    "sfx_burnme",
    "sfx_oof",
    "sfx_wbrldt",
    "sfx_psdtha",
    "sfx_psdthb",
    "sfx_psdthc",
    "sfx_rb2pn",
    "sfx_rb2dth",
    "sfx_rb2see",
    "sfx_rb2act",
    "sfx_firxpl",
    "sfx_stnmov",
    "sfx_noway",
    "sfx_rlaunc",
    "sfx_rflite",
    "sfx_radio",
    "sfx_pulchn",
    "sfx_swknob",
    "sfx_keycrd",
    "sfx_swston",
    "sfx_sntsee",
    "sfx_sntdth",
    "sfx_sntact",
    "sfx_pgrdat",
    "sfx_pgrsee",
    "sfx_pgrdpn",
    "sfx_pgrdth",
    "sfx_pgract",
    "sfx_proton",
    "sfx_protfl",
    "sfx_plasma",
    "sfx_dsrptr",
    "sfx_reavat",
    "sfx_revbld",
    "sfx_revsee",
    "sfx_reavpn",
    "sfx_revdth",
    "sfx_revact",
    "sfx_spisit",
    "sfx_spdwlk",
    "sfx_spidth",
    "sfx_spdatk",
    "sfx_chant",
    "sfx_static",
    "sfx_chain",
    "sfx_tend",
    "sfx_phoot",
    "sfx_explod",
    "sfx_sigil",
    "sfx_sglhit",
    "sfx_siglup",
    "sfx_prgpn",
    "sfx_progac",
    "sfx_lorpn",
    "sfx_lorsee",
    "sfx_difool",
    "sfx_inqdth",
    "sfx_inqact",
    "sfx_inqsee",
    "sfx_inqjmp",
    "sfx_amaln1",
    "sfx_amaln2",
    "sfx_amaln3",
    "sfx_amaln4",
    "sfx_amaln5",
    "sfx_amaln6",
    "sfx_mnalse",
    "sfx_alnsee",
    "sfx_alnpn",
    "sfx_alnact",
    "sfx_alndth",
    "sfx_mnaldt",
    "sfx_reactr",
    "sfx_airlck",
    "sfx_drchno",
    "sfx_drchnc",
    "sfx_valve"
};

#endif

